## gfxboot 4.5.2-1.1

=== debian/changelog ===
gfxboot (4.5.2-1.1-6) unstable; urgency=medium

  * QA Upload.
  * Add e2fsprogs to Recommends, also add reiserfsprogs and xfsprogs to
    Suggests. (Closes: #887243)
  * Add debian/watch pointing to https://github.com/OpenSUSE/gfxboot
  * Do dbgsym migration and drop gfxboot-dbg package.
  * Switch from deprecated Priority: extra to optional.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Mar 2018 17:08:15 +0100

gfxboot (4.5.2-1.1-5) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:58:42 +0200

gfxboot (4.5.2-1.1-4) unstable; urgency=low

  * Copying with dereferencing of symlinks in order to make builds more
    robust when symlinks are used in the build tree.
  * Copying with dereferencing when install the themes into the packages
    (Closes: #752231).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 24 Jun 2014 16:43:39 +0200

gfxboot (4.5.2-1.1-3) unstable; urgency=low

  * Adding conflicts/replaces for gfxboot-examples to gfxboot-dev.
  * Updating dejavu recommends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Apr 2014 22:08:11 +0200

gfxboot (4.5.2-1.1-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:52:21 +0200

gfxboot (4.5.2-1.1-1) experimental; urgency=low

  * Merging upstream version 4.5.2-1.1.
  * Dropping freetype.patch, included upstream.
  * Updating year in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Feb 2014 16:45:50 +0100

gfxboot (4.5.1-3.11-5) experimental; urgency=low

  * Merging themes into gfxboot-themes package.
  * Adding debug package.
  * Merging gfxboot-examples into gfxboot-dev.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:34:36 +0100

gfxboot (4.5.1-3.11-4) experimental; urgency=low

  * Refreshing ttf-dejavue.patch.
  * Refreshing adddir.patch.
  * Refreshing freetype.patch.
  * Updating year in copyright file for 2014.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:33:35 +0100

gfxboot (4.5.1-3.11-3) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Updating to standards version 3.9.5.
  * Making gfxboot no longer build-depend on itself to compile examples and
    themes.
  * Adding patch to update location of freetype headers (Closes: #733384).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 28 Dec 2013 20:20:31 +0100

gfxboot (4.5.1-3.11-2) experimental; urgency=low

  * Adding link to gitorious to source entry in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 10:18:13 +0200

gfxboot (4.5.1-3.11-1) experimental; urgency=low

  * Merging upstream version 4.5.1-3.11.
  * Merging gfxboot-examples packaging into src:gfxboot.
  * Updating years in copyright file.
  * Using four digits prefix in patch filenames.
  * Trimming diff header in patches.
  * Dropping dpkg-source compression levels.
  * Sorting targets in rules alphabetically.
  * Moving examples build-tree into subdirectory within local build
    directory.
  * Merging gfxboot-themes packaging into src:gfxboot.
  * Temporarily adding gfxboot-dev to build-depends for building examples
    and themes until build has been reworked to use local gfxboot of the
    build itself.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 07:47:48 +0200
