=== debian/control ===
Source: gfxboot
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 cpio,
 nasm,
 libfreetype6-dev,
 libhtml-parser-perl,
 w3m,
 xmlto,
Standards-Version: 3.9.5
Homepage: http://gfxboot.sourceforge.net/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/gfxboot.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/gfxboot.git

Package: gfxboot
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: e2fsprogs
Suggests: gfxboot-themes, reiserfsprogs, xfsprogs
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gfxboot (= ${binary:Version}),
 cpio,
 libfribidi0,
 libhtml-parser-perl,
Recommends: fonts-dejavu-core | ttf-dejavu-core
Suggests: gfxboot-themes
Conflicts: gfxboot-examples
Replaces: gfxboot-examples
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.

Package: gfxboot-themes
Architecture: all
Depends:
 ${misc:Depends},
 gfxboot (>= ${source:Version}),
Recommends: gfxboot-dev
Conflicts:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Replaces:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Provides: gfxboot-theme
Description: tool to test and create graphical boot logos (themes)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains full featured themes (KDE, openSUSE, SLED, SLES, and
 upstream).
