=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gfxboot-$1\.tar\.gz/ \
  https://github.com/OpenSUSE/gfxboot/tags .*/v?(\d\S+)\.tar\.gz
