=== debian/changelog ===
gfxboot (4.5.73-2) unstable; urgency=medium

  * QA upload.
  * themes/example*/Makefile: Use the .bc files as a reference date.
    (Closes: #978946)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 04 Jan 2021 10:14:56 -0800

gfxboot (4.5.73-1) unstable; urgency=medium

  * QA upload.
  * Update to new upstream version 4.5.73. (Closes: #783398)
  * gfxboot: pass --reproducible and --owner to cpio. (Closes: #978946)
  * gfxboot: avoid including the "." directory in the cpio archive.
    (Closes: #978946)
  * themes/example*/Makefile: Set time on files in example themes using
    Makefile as a reference time.  (Closes: #978946)
  * debian/rules: Pass C.UTF-8 locale when building documentation.
    (Closes: #979125)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Create a VERSION file since upstream expects it.
  * debian/rules: Do not build test themes.
  * debian/control: Update Vcs headers.
  * debian/copyright: Use https URLs and drop broken link
  * debian/control: Update Homepage.
  * debian/source/options, debian/rules: Drop custom compression.
  * Update to debhelper-compat 13.
  * debian/rules: Remove obsolete dh_install override.
  * debian/rules: Do not pass --parallel to dh as it is now the default.
  * debian/rules: Add target to update upstream changelog.
  * changelog.upstream: Add changelog for upstream version 4.5.73.
  * debian/rules: Copy upstream changelog during build.
  * gfxboot-themes: Add lintian override for
    package-contains-documentation-outside-usr-share-doc.
  * debian/control: Update Standards-Version to 4.5.1.
  * debian/control: Add ${perl:Depends} to Depends.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 03 Jan 2021 18:04:09 -0800
