=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  cpio,
  nasm,
  libfreetype6-dev,
  libhtml-parser-perl,
  w3m,
  xmlto,
-Standards-Version: 3.9.5
-Homepage: http://gfxboot.sourceforge.net/
-Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/gfxboot.git
-Vcs-Git: git://daniel-baumann.ch/git/debian/packages/gfxboot.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://en.opensuse.org/SDB:Gfxboot
+Vcs-Browser: https://browse.dgit.debian.org/gfxboot.git/
+Vcs-Git: https://git.dgit.debian.org/gfxboot.git
 
 Package: gfxboot
 Architecture: any-amd64 any-i386
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  ${shlibs:Depends},
 Recommends: e2fsprogs
 Suggests: gfxboot-themes, reiserfsprogs, xfsprogs
@@ -32,6 +34,7 @@
 Architecture: any-amd64 any-i386
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  ${shlibs:Depends},
  gfxboot (= ${binary:Version}),
  cpio,
@@ -51,6 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
  gfxboot (>= ${source:Version}),
 Recommends: gfxboot-dev
 Conflicts:
