=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SHELL := sh -e
@@ -7,12 +8,25 @@
 GFXBOOT_PATH = $(CURDIR)
 
 %:
-	dh ${@} --parallel
+	dh $@
 
-override_dh_auto_build:
+VERSION:
+	echo $(DEB_VERSION_UPSTREAM) > VERSION
+
+changelog:
+	cp changelog.upstream changelog
+
+update-upstream-changelog:
+	# Needs to be run manually upon new upstream versions
+	git checkout -b upstream-tmp-$(DEB_VERSION_UPSTREAM) $(DEB_VERSION_UPSTREAM) && ./git2log --changelog changelog
+	git checkout dgit/sid
+	git branch -d upstream-tmp-$(DEB_VERSION_UPSTREAM)
+	cp changelog changelog.upstream
+
+override_dh_auto_build: VERSION changelog
 	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 
-	$(MAKE) -C doc doc
+	LC_ALL=C.UTF-8 $(MAKE) -C doc doc
 
 	# gfxboot-dev
 	mkdir -p build/examples
@@ -26,7 +40,7 @@
 	# gfxboot-themes
 	mkdir -p build
 	cp -aL themes build/themes
-	rm -rf build/themes/example*
+	rm -rf build/themes/example* build/themes/test*
 
 	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE/help-install
 	PATH=$(GFXBOOT_PATH):$${PATH} ADDDIR=$(GFXBOOT_PATH)/bin/adddir $(MAKE) -C build/themes/openSUSE
@@ -45,6 +59,7 @@
 	$(MAKE) -C doc clean
 
 	rm -rf build
+	rm -f VERSION changelog
 
 override_dh_auto_install:
 	dh_auto_install
@@ -81,16 +96,10 @@
 		cp -aL build/themes/$${_THEME}/message build/themes/$${_THEME}/help-boot/*.hlp build/themes/$${_THEME}/po/*.tr debian/gfxboot-themes/etc/bootsplash/themes/$${_THEME}/bootloader; \
 	done
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_fixperms:
 	dh_fixperms
 
 	find . debian -name "*.xcf" | xargs chmod 0644
 
-override_dh_install:
-	dh_install --fail-missing
-
 override_dh_strip:
 	dh_strip --dbgsym-migration='gfxboot-dbg (<< 4.5.2-1.1-6~)'
