=== themes/testx/Makefile ===
clean:

distclean:
