=== debian/changelog ===
gfxboot (4.5.103-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Maintain package in Debian team on Salsa
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Build-Depends: libfreetype6-dev => libfreetype-dev
  * Fix permissions of *.po files
  * Fix lintian-overrides
  * Update lintian override info format in d/gfxboot-themes.lintian-overrides
  * Add debian/upstream/metadata
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2025 15:55:30 +0200
