=== debian/control ===
Source: gfxboot
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: misc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cpio,
 nasm,
 libfreetype-dev,
 libhtml-parser-perl,
 w3m,
 xmlto,
Vcs-Browser: https://salsa.debian.org/debian/gfxboot
Vcs-Git: https://salsa.debian.org/debian/gfxboot.git
Homepage: https://en.opensuse.org/SDB:Gfxboot
Rules-Requires-Root: no

Package: gfxboot
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 e2fsprogs,
Suggests:
 gfxboot-themes,
 reiserfsprogs,
 xfsprogs,
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
 gfxboot (= ${binary:Version}),
 cpio,
 libfribidi0,
 libhtml-parser-perl,
Recommends:
 fonts-dejavu-core | ttf-dejavu-core,
Suggests:
 gfxboot-themes,
Conflicts:
 gfxboot-examples,
Replaces:
 gfxboot-examples,
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.

Package: gfxboot-themes
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 gfxboot (>= ${source:Version}),
Recommends:
 gfxboot-dev,
Conflicts:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Provides:
 gfxboot-theme,
Replaces:
 gfxboot-themes-kde,
 gfxboot-themes-opensuse,
 gfxboot-themes-sled,
 gfxboot-themes-sles,
 gfxboot-themes-upstream,
Description: tool to test and create graphical boot logos (themes)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains full featured themes (KDE, openSUSE, SLED, SLES, and
 upstream).
