=== debian/rules ===
--- 
+++ 
@@ -100,6 +100,7 @@
 	dh_fixperms
 
 	find . debian -name "*.xcf" | xargs chmod 0644
+	find . debian -name "*.po" | xargs chmod 0644
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gfxboot-dbg (<< 4.5.2-1.1-6~)'
